#ifndef morpheo_max
#define morpheo_max

/*
 * $Id$
 *
 * with a stephane dubuisson initial idea
 *
 * [ Description ]
 * 
 */

#include <stdint.h>

namespace morpheo {
  
  template<typename T> inline T max (const T * x, uint32_t size1)
  {
    T res = 0;

    for (uint32_t i=0; i<size1; i++)
      if (res<x[i])
	res = x[i];

    return res;
  }
  
}; // end namespace morpheo              

#endif
